Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class BasicFrameController

    java.lang.Object
      gov.nasa.worldwind.BasicFrameController

All Implemented Interfaces:
  FrameController

    public class BasicFrameController

extends Object
implements FrameController

Constructor Summary
`BasicFrameController()`

Method Summary
`void` | `drawFrame(DrawContext dc)`
`void` | `finalizeFrame(DrawContext dc)`
`void` | `finalizePicking(DrawContext dc)`
`void` | `initializeFrame(DrawContext dc)`
`void` | `initializePicking(DrawContext dc)`
`void` | `pick(DrawContext dc, Point pickPoint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicFrameController

    public BasicFrameController()

Method Detail

### drawFrame

    public void drawFrame(DrawContext dc)

  Specified by:
    `drawFrame` in interface `FrameController`

### finalizeFrame

    public void finalizeFrame(DrawContext dc)

  Specified by:
    `finalizeFrame` in interface `FrameController`

### finalizePicking

    public void finalizePicking(DrawContext dc)

  Specified by:
    `finalizePicking` in interface `FrameController`

### initializeFrame

    public void initializeFrame(DrawContext dc)

  Specified by:
    `initializeFrame` in interface `FrameController`

### initializePicking

    public void initializePicking(DrawContext dc)

  Specified by:
    `initializePicking` in interface `FrameController`

### pick

    public void pick(DrawContext dc,
                     Point pickPoint)

  Specified by:
    `pick` in interface `FrameController`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD